Bug 7015 - Конфликт при обновлении glibc-core
: Конфликт при обновлении glibc-core
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/glibc-core)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-06 18:04 by
Modified: 2005-06-06 21:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-06 18:04:43
Конфликт при обновлении glibc-core 
Steps to Reproduce:
1.apt-get update 
2.apt-get dist-upgrade 
3. 
Actual Results:  
Committing changes... 
Preparing...                 ################################## [100%] 
file /lib/ld-linux.so.2 from install of glibc-core-2.3.5-alt5 conflicts with 
file from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libBrokenLocale.so.1 from install of glibc-core-2.3.5-alt5 conflicts 
with file from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libanl.so.1 from install of glibc-core-2.3.5-alt5 conflicts with file 
from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libc.so.6 from install of glibc-core-2.3.5-alt5 conflicts with file 
from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libcidn.so.1 from install of glibc-core-2.3.5-alt5 conflicts with 
file from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libcrypt.so.1 from install of glibc-core-2.3.5-alt5 conflicts with 
file from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libdl.so.2 from install of glibc-core-2.3.5-alt5 conflicts with file 
from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libm.so.6 from install of glibc-core-2.3.5-alt5 conflicts with file 
from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libnsl.so.1 from install of glibc-core-2.3.5-alt5 conflicts with file 
from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libnss_files.so.2 from install of glibc-core-2.3.5-alt5 conflicts 
with file from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libpthread-0.10.so from install of glibc-core-2.3.5-alt5 conflicts 
with file from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libresolv.so.2 from install of glibc-core-2.3.5-alt5 conflicts with 
file from package glibc-core-2.3.3.200406160000-alt2 
file /lib/librt.so.1 from install of glibc-core-2.3.5-alt5 conflicts with file 
from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libthread_db-1.0.so from install of glibc-core-2.3.5-alt5 conflicts 
with file from package glibc-core-2.3.3.200406160000-alt2 
file /lib/libutil.so.1 from install of glibc-core-2.3.5-alt5 conflicts with 
file from package glibc-core-2.3.3.200406160000-alt2 
file /sbin/glibc_fix_nsswitch from install of glibc-core-2.3.5-alt5 conflicts 
with file from package glibc-core-2.3.3.200406160000-alt2 
file /sbin/glibc_post_upgrade from install of glibc-core-2.3.5-alt5 conflicts 
with file from package glibc-core-2.3.3.200406160000-alt2 
file /sbin/ldconfig from install of glibc-core-2.3.5-alt5 conflicts with file 
from package glibc-core-2.3.3.200406160000-alt2 
file /sbin/post_ldconfig from install of glibc-core-2.3.5-alt5 conflicts with 
file from package glibc-core-2.3.3.200406160000-alt2 
file /sbin/postun_ldconfig from install of glibc-core-2.3.5-alt5 conflicts with 
file from package glibc-core-2.3.3.200406160000-alt2 
file /lib/ld-2.3.5.so from install of glibc-core-2.3.5-alt5 conflicts with file 
from package glibc-core-2.3.5-alt4 
file /lib/libc-2.3.5.so from install of glibc-core-2.3.5-alt5 conflicts with 
file from package glibc-core-2.3.5-alt4 
file /sbin/ldconfig from install of glibc-core-2.3.5-alt5 conflicts with file 
from package glibc-core-2.3.5-alt4 
 

Expected Results:  
Вылечилось последовательностью  
1. rpm -e --nodeps glibc-core-2.3.3.200406160000 
2. apt-get dist-upgrade
------- Comment #1 From 2005-06-06 21:55:22 -------
Не надо было ломать свою систему. :)